﻿namespace HeuristicLab.Problems.ProgramSynthesis {
  using Common;
  using Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class NameErcOptions : ErcOption<string> {
    public NameErcOptions() { }
    public NameErcOptions(params WeightedErcItem<string>[] values) : base(true, values) { }
    public NameErcOptions(bool isEnabled, params WeightedErcItem<string>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    public NameErcOptions(bool deserializing) : base(deserializing) { }

    public NameErcOptions(NameErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new NameErcOptions(this, cloner);
    }

    public override string ToString() {
      return "Name";
    }
  }
}
